You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mesos.apache.org by ji...@apache.org on 2018/11/07 20:27:08 UTC

[mesos] branch 1.7.x updated: Fixed a bug in detection release branch in Mesos mini script.

This is an automated email from the ASF dual-hosted git repository.

jieyu pushed a commit to branch 1.7.x
in repository https://gitbox.apache.org/repos/asf/mesos.git


The following commit(s) were added to refs/heads/1.7.x by this push:
     new 0a2d9cb  Fixed a bug in detection release branch in Mesos mini script.
0a2d9cb is described below

commit 0a2d9cbbe4704ce38b37a2b0c646dfd9677ac511
Author: Jie Yu <yu...@gmail.com>
AuthorDate: Wed Nov 7 12:25:19 2018 -0800

    Fixed a bug in detection release branch in Mesos mini script.
    
    (cherry picked from commit c8defe7058a0c7fe933072da3abec3456e476019)
---
 support/jenkins/mini.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/support/jenkins/mini.sh b/support/jenkins/mini.sh
index fbf0d8b..4d33e9f 100755
--- a/support/jenkins/mini.sh
+++ b/support/jenkins/mini.sh
@@ -13,7 +13,7 @@ DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
 
 MESOS_SHA=${MESOS_SHA:-$(git rev-parse HEAD)}
 MESOS_TAG_OR_SHA=$(git describe --exact-match "${MESOS_SHA}" 2>/dev/null || echo "${MESOS_SHA}")
-RELEASE_BRANCH=$(git branch --points-at HEAD -r | grep -E 'origin/[0-9]*\.[0-9]*\.[0-9]*x' | grep -E -o '[0-9]*\.[0-9]*\.[0-9]*' || true)
+RELEASE_BRANCH=$(git branch --points-at HEAD -r | grep -E 'origin/[0-9]*\.[0-9]*\.x' | grep -E -o '[0-9]*\.[0-9]*\.x' || true)
 
 if [ -z "${RELEASE_BRANCH}" ]; then
   RELEASE_BRANCH="master"